Tryton - Issues

 

Issue7232

Title segv in client
Priority bug Status closed
Superseder The Client is closed suddenly when attaching files
View: 7541
Nosy List Timitos, angel, ced, pokoli, risto3
Type crash Components tryton
Assigned To Keywords
Reviews

Created on 2018-03-18.19:33:00 by risto3, last changed by ced.

Files
File name Uploaded Type Edit Remove
segv.txt risto3, 2018-04-02.09:23:52 text/plain
Messages
msg43675 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-09-02.14:41:32
It seems to be the same as issue7541. I do not think it is related to having another process opening the file as it could be reproduce without this criteria.
msg42993 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-08-20.09:56:06
The segmentation fault is only produced when I upload to tryton a file that is already opened in another process of the system. For example, when uploading a pdf file, if I have the same file opened with my pdf viewer it crashes but when closing the pdf viewer everything works as expected.
msg42937 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-08-17.20:06:35
@pokoli I do not understand the last sentence.
msg42936 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-08-17.18:41:46
I think I have an scenario to reproduce it on 4.8. 

When uploading an attachment to tryton if it's opened from another process it with a segmentation fault. Is anyone else able to reproduce the same behaviour?
msg39651 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-04-02.10:23:16
If we do not have a scenario to reproduce the error, we will not be able to fix it (neither to find if it is not link to your OS).
msg39650 (view) Author: [hidden] (risto3) Date: 2018-04-02.09:23:52
This particular segv I can't seem to reproduce with the latest version (updated to recent default).
That said, I do still see segv (attached) as well as misc gtk warnings & errors in the client.
(here I have installed and configured account_fr & account_invoice)

$ python2 -B tryton/bin/tryton

(tryton:15613): Gtk-WARNING **: 07:25:39.423: Theme parsing error: gtk.css:68:35: The style property GtkButton:child-displacement-x is deprecated and shouldn't be used anymore. It will be removed in a future version

(tryton:15613): Gtk-WARNING **: 07:25:39.423: Theme parsing error: gtk.css:69:35: The style property GtkButton:child-displacement-y is deprecated and shouldn't be used anymore. It will be removed in a future version

(tryton:15613): Gtk-WARNING **: 07:25:39.423: Theme parsing error: gtk.css:73:46: The style property GtkScrolledWindow:scrollbars-within-bevel is deprecated and shouldn't be used anymore. It will be removed in a future version
/home/richard/src/hg-trytondev/tryton/tryton/gui/window/view_form/view/form_gtk/char.py:131: Warning: g_value_get_int: assertion 'G_VALUE_HOLDS_INT (value)' failed
  self.entry.set_text(value)

(tryton:15613): Gtk-CRITICAL **: 07:29:54.088: gtk_tree_view_unref_tree_helper: assertion 'node != NULL' failed
/usr/lib/python2.7/site-packages/gi/overrides/Gtk.py:1612: Warning: g_value_get_int: assertion 'G_VALUE_HOLDS_INT (value)' failed
  return _Gtk_main(*args, **kwargs)
Erreur de segmentation (core dumped)

Here I was testing adding TVA Achat de services autoliquidation and was in the child tax on the tax percentage

BTW, perhaps I should add an issue, but there seems to be missing any means to add a tax rule to sales and purchases in order to deal with things like autoliquidation or reduced taxes (either total or partial), as they are determined project by project and therefore must not be globally forced on the party for all projects (in France, anyway).
msg39642 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-04-01.19:32:31
I can not reproduce. Could you provide a way to reproduce it?
msg39059 (view) Author: [hidden] (risto3) Date: 2018-03-18.19:48:57
BTW, this did happen in the same sessions as with the KeyError: 'children' problem when trying to view the tax code 0207.
msg39058 (view) Author: [hidden] (risto3) Date: 2018-03-18.19:33:00
while trying to test the new taxes on account_fr, after first installing (on branch 'default') account_fr, then later account_invoice and subsequently started to create a fiscal year, got the following when trying to create the client invoice sequences:

$ coredumpctl info -1 |cat -
           PID: 14562 (python2)
           UID: 1001 (richard)
           GID: 100 (users)
        Signal: 11 (SEGV)
     Timestamp: Sun 2018-03-18 19:16:33 CET (10min ago)
  Command Line: python2 -B bin/tryton
    Executable: /usr/bin/python2.7
 Control Group: /user.slice/user-1001.slice/session-c2.scope
          Unit: session-c2.scope
         Slice: user-1001.slice
       Session: c2
     Owner UID: 1001 (richard)
       Boot ID: 281013a619354f959f720d05f65a80a5
    Machine ID: 4ebaa767a0b041dc8b1012591595f293
      Hostname: sarchx64
       Storage: /var/lib/systemd/coredump/core.python2.1001.281013a619354f959f720d05f65a80a5.14562.1521396993000000.lz4
       Message: Process 14562 (python2) of user 1001 dumped core.
                
                Stack trace of thread 14562:
                #0  0x00007f8e33b4f31f g_type_check_instance_is_fundamentally_a (libgobject-2.0.so.0)
                #1  0x00007f8e34058964 n/a (_gi.so)
                #2  0x00007f8e34055cb8 n/a (_gi.so)
                #3  0x00007f8e34052a9b n/a (_gi.so)
                #4  0x00007f8e340546a8 n/a (_gi.so)
                #5  0x00007f8e359f9573 PyObject_Call (libpython2.7.so.1.0)
                #6  0x00007f8e359db6ae PyEval_EvalFrameEx (libpython2.7.so.1.0)
                #7  0x00007f8e35a30456 PyEval_EvalCodeEx (libpython2.7.so.1.0)
                #8  0x00007f8e359cc11f function_call.lto_priv.225 (libpython2.7.so.1.0)
                #9  0x00007f8e359f9573 PyObject_Call (libpython2.7.so.1.0)
                #10 0x00007f8e359ba93f instancemethod_call.lto_priv.140 (libpython2.7.so.1.0)
                #11 0x00007f8e359f9573 PyObject_Call (libpython2.7.so.1.0)
                #12 0x00007f8e359db6ae PyEval_EvalFrameEx (libpython2.7.so.1.0)
                #13 0x00007f8e359d6550 PyEval_EvalFrameEx (libpython2.7.so.1.0)
                #14 0x00007f8e35a30456 PyEval_EvalCodeEx (libpython2.7.so.1.0)
                #15 0x00007f8e359cc11f function_call.lto_priv.225 (libpython2.7.so.1.0)
                #16 0x00007f8e359f9573 PyObject_Call (libpython2.7.so.1.0)
                #17 0x00007f8e359ba93f instancemethod_call.lto_priv.140 (libpython2.7.so.1.0)
                #18 0x00007f8e359f9573 PyObject_Call (libpython2.7.so.1.0)
                #19 0x00007f8e35a2fb31 PyEval_CallObjectWithKeywords (libpython2.7.so.1.0)
                #20 0x00007f8e34051d5a n/a (_gi.so)
                #21 0x00007f8e33b27c5d g_closure_invoke (libgobject-2.0.so.0)
                #22 0x00007f8e33b3bb50 n/a (libgobject-2.0.so.0)
                #23 0x00007f8e33b44806 g_signal_emit_valist (libgobject-2.0.so.0)
                #24 0x00007f8e33b45240 g_signal_emit (libgobject-2.0.so.0)
                #25 0x00007f8e33b27ea6 n/a (libgobject-2.0.so.0)
                #26 0x00007f8e33b44af9 g_signal_emit_valist (libgobject-2.0.so.0)
                #27 0x00007f8e33b45240 g_signal_emit (libgobject-2.0.so.0)
                #28 0x00007f8e2ab3941e n/a (libgtk-3.so.0)
                #29 0x00007f8e2ab39476 n/a (libgtk-3.so.0)
                #30 0x00007f8e33b27c5d g_closure_invoke (libgobject-2.0.so.0)
                #31 0x00007f8e33b3bc28 n/a (libgobject-2.0.so.0)
                #32 0x00007f8e33b44806 g_signal_emit_valist (libgobject-2.0.so.0)
                #33 0x00007f8e33b45240 g_signal_emit (libgobject-2.0.so.0)
                #34 0x00007f8e2ab377d1 n/a (libgtk-3.so.0)
                #35 0x00007f8e335f61c8 ffi_call_unix64 (libffi.so.6)
                #36 0x00007f8e335f5c2a ffi_call (libffi.so.6)
                #37 0x00007f8e33b2886f g_cclosure_marshal_generic_va (libgobject-2.0.so.0)
                #38 0x00007f8e33b27ea6 n/a (libgobject-2.0.so.0)
                #39 0x00007f8e33b44af9 g_signal_emit_valist (libgobject-2.0.so.0)
                #40 0x00007f8e33b45240 g_signal_emit (libgobject-2.0.so.0)
                #41 0x00007f8e2abfb69a n/a (libgtk-3.so.0)
                #42 0x00007f8e33b2ac68 g_cclosure_marshal_VOID__BOXEDv (libgobject-2.0.so.0)
                #43 0x00007f8e33b27ea6 n/a (libgobject-2.0.so.0)
                #44 0x00007f8e33b44af9 g_signal_emit_valist (libgobject-2.0.so.0)
                #45 0x00007f8e33b45240 g_signal_emit (libgobject-2.0.so.0)
                #46 0x00007f8e2abf882f n/a (libgtk-3.so.0)
                #47 0x00007f8e2abf9eab n/a (libgtk-3.so.0)
                #48 0x00007f8e2abfcc37 n/a (libgtk-3.so.0)
                #49 0x00007f8e2abc8334 gtk_event_controller_handle_event (libgtk-3.so.0)
                #50 0x00007f8e2ad97f34 n/a (libgtk-3.so.0)
                #51 0x00007f8e2ac46e78 n/a (libgtk-3.so.0)
                #52 0x00007f8e33b27ea6 n/a (libgobject-2.0.so.0)
                #53 0x00007f8e33b444b4 g_signal_emit_valist (libgobject-2.0.so.0)
                #54 0x00007f8e33b45240 g_signal_emit (libgobject-2.0.so.0)
                #55 0x00007f8e2ad9a2c5 n/a (libgtk-3.so.0)
                #56 0x00007f8e2ac43bdb n/a (libgtk-3.so.0)
                #57 0x00007f8e2ac45e33 gtk_main_do_event (libgtk-3.so.0)
                #58 0x00007f8e2fea49f6 n/a (libgdk-3.so.0)
                #59 0x00007f8e2fed7275 n/a (libgdk-3.so.0)
                #60 0x00007f8e3384ae38 g_main_context_dispatch (libglib-2.0.so.0)
                #61 0x00007f8e3384b081 n/a (libglib-2.0.so.0)
                #62 0x00007f8e3384b3b2 g_main_loop_run (libglib-2.0.so.0)
                #63 0x00007f8e2ac44eff gtk_main (libgtk-3.so.0)
                
                Stack trace of thread 16017:
                #0  0x00007f8e35e1d7b3 __select (libc.so.6)
                #1  0x00007f8e25c42e9e n/a (select.so)
                #2  0x00007f8e359d5e39 PyEval_EvalFrameEx (libpython2.7.so.1.0)
                #3  0x00007f8e35a30456 PyEval_EvalCodeEx (libpython2.7.so.1.0)
                #4  0x00007f8e359cc2c8 function_call.lto_priv.225 (libpython2.7.so.1.0)
                #5  0x00007f8e359f9573 PyObject_Call (libpython2.7.so.1.0)
                #6  0x00007f8e359d9109 PyEval_EvalFrameEx (libpython2.7.so.1.0)
                #7  0x00007f8e359d6550 PyEval_EvalFrameEx (libpython2.7.so.1.0)
                #8  0x00007f8e359d6550 PyEval_EvalFrameEx (libpython2.7.so.1.0)
                #9  0x00007f8e35a30456 PyEval_EvalCodeEx (libpython2.7.so.1.0)
                #10 0x00007f8e359cc11f function_call.lto_priv.225 (libpython2.7.so.1.0)
                #11 0x00007f8e359f9573 PyObject_Call (libpython2.7.so.1.0)
                #12 0x00007f8e359ba93f instancemethod_call.lto_priv.140 (libpython2.7.so.1.0)
                #13 0x00007f8e359f9573 PyObject_Call (libpython2.7.so.1.0)
                #14 0x00007f8e35a2fb31 PyEval_CallObjectWithKeywords (libpython2.7.so.1.0)
                #15 0x00007f8e35a544b6 t_bootstrap (libpython2.7.so.1.0)
                #16 0x00007f8e360ef08c start_thread (libpthread.so.0)
                #17 0x00007f8e35e25e7f __clone (libc.so.6)
                
                Stack trace of thread 14579:
                #0  0x00007f8e35e1b97b __poll (libc.so.6)
                #1  0x00007f8e1c093773 n/a (libpulse.so.0)
                #2  0x00007f8e1c084bd0 pa_mainloop_poll (libpulse.so.0)
                #3  0x00007f8e1c085271 pa_mainloop_iterate (libpulse.so.0)
                #4  0x00007f8e1c085301 pa_mainloop_run (libpulse.so.0)
                #5  0x00007f8e1c0936ae n/a (libpulse.so.0)
                #6  0x00007f8e165cd81c n/a (libpulsecommon-11.1.so)
                #7  0x00007f8e360ef08c start_thread (libpthread.so.0)
                #8  0x00007f8e35e25e7f __clone (libc.so.6)
                
                Stack trace of thread 16069:
                #0  0x00007f8e35e20879 syscall (libc.so.6)
                #1  0x00007f8e33891dcd g_cond_wait_until (libglib-2.0.so.0)
                #2  0x00007f8e3381e753 n/a (libglib-2.0.so.0)
                #3  0x00007f8e3381ed3e g_async_queue_timeout_pop (libglib-2.0.so.0)
                #4  0x00007f8e33873d81 n/a (libglib-2.0.so.0)
                #5  0x00007f8e3387326a n/a (libglib-2.0.so.0)
                #6  0x00007f8e360ef08c start_thread (libpthread.so.0)
                #7  0x00007f8e35e25e7f __clone (libc.so.6)
                
                Stack trace of thread 14566:
                #0  0x00007f8e35e1b97b __poll (libc.so.6)
                #1  0x00007f8e3384aff3 n/a (libglib-2.0.so.0)
                #2  0x00007f8e3384b3b2 g_main_loop_run (libglib-2.0.so.0)
                #3  0x00007f8e3310d6d8 n/a (libgio-2.0.so.0)
                #4  0x00007f8e3387326a n/a (libglib-2.0.so.0)
                #5  0x00007f8e360ef08c start_thread (libpthread.so.0)
                #6  0x00007f8e35e25e7f __clone (libc.so.6)
                
                Stack trace of thread 14565:
                #0  0x00007f8e35e1b97b __poll (libc.so.6)
                #1  0x00007f8e3384aff3 n/a (libglib-2.0.so.0)
                #2  0x00007f8e3384b10e g_main_context_iteration (libglib-2.0.so.0)
                #3  0x00007f8e3384b162 n/a (libglib-2.0.so.0)
                #4  0x00007f8e3387326a n/a (libglib-2.0.so.0)
                #5  0x00007f8e360ef08c start_thread (libpthread.so.0)
                #6  0x00007f8e35e25e7f __clone (libc.so.6)



in my terminal screen, I notice only:
/home/richard/src/hg-trytondev/tryton/tryton/gui/window/view_form/view/form_gtk/char.py:131: Warning: g_value_get_int: assertion 'G_VALUE_HOLDS_INT (value)' failed
  self.entry.set_text(value)
(tryton:14562): Gtk-WARNING **: Allocating size to GtkWindow 0x5652067cc260 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(tryton:14562): Gtk-WARNING **: Allocating size to GtkWindow 0x5652067cc260 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?
Erreur de segmentation (core dumped)

probably not related, but maybe as gtk3 seems involved which is quite new...
History
Date User Action Args
2018-09-02 14:41:32cedsetstatus: chatting -> closed
superseder: + The Client is closed suddenly when attaching files
messages: + msg43675
2018-08-20 09:56:07pokolisetmessages: + msg42993
2018-08-17 20:06:35cedsetmessages: + msg42937
2018-08-17 18:41:52pokolisetstatus: need-eg -> chatting
2018-08-17 18:41:47pokolisetnosy: + pokoli
messages: + msg42936
2018-07-25 16:20:39angelsetnosy: + angel
2018-06-28 20:53:18Timitossetnosy: + Timitos
2018-04-09 09:44:42cedlinkissue7333 superseder
2018-04-02 10:23:16cedsetmessages: + msg39651
2018-04-02 09:23:53risto3setfiles: + segv.txt
messages: + msg39650

Showing 10 items. Show all history (warning: this could be VERY long)